#!/bin/sh
#
# Copyright (c) 2015, Juniper Networks, Inc.
#

# Empty vars are mandatory, and must be passed in by the caller.
TARGET_DIR=
OBJDIR=bin

VERSION=
DOIT=echo
BUILD_TYPE=dev
LIST="src/sbsign \
	src/sbsign_pkcs11 \
	src/sbverify"

Error() {
	echo "ERROR: $@" >&2
	exit 1
}

Mydir=`dirname $0`

while :
do
        case "$1" in
        *=*) eval "$1"; shift;;
        -d) DOIT= ; shift;;
        *) break;;
        esac
done

TARGET_DIR=${TARGET_DIR:-${Mydir}/publish}
VERSION=${VERSION:-`git rev-parse --short=10 HEAD`}

echo "Publishing ${VERSION} to ${TARGET_DIR}/, confirm [Y|N]?"
read foo

case $foo in
*n*|*N*) Error cancelled ;;
esac

${DOIT} mkdir -p ${TARGET_DIR}/${VERSION} || Error mkdir

for item in $LIST; do
	$DOIT cp ${item} ${TARGET_DIR}/${VERSION} || Error cp
done

${DOIT} rm -f ${TARGET_DIR}/current || Error rm

${DOIT} cd ${TARGET_DIR} || Error cd
${DOIT} rm -f current || Error rm
${DOIT} ln -s ${VERSION} current || Error ln
